org.apache.cassandra.db.rows

## Enum SerializationHelper.Flag

- java.lang.Object
- - java.lang.Enum<SerializationHelper.Flag>
  - - org.apache.cassandra.db.rows.SerializationHelper.Flag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SerializationHelper.Flag>
  Enclosing class:
    SerializationHelper

      public static enum SerializationHelper.Flag
      extends java.lang.Enum<SerializationHelper.Flag>

  Flag affecting deserialization behavior (this only affect counters in practice). - LOCAL: for deserialization of local data (Expired columns are converted to tombstones (to gain disk space)). - FROM_REMOTE: for deserialization of data received from remote hosts (Expired columns are converted to tombstone and counters have their delta cleared) - PRESERVE_SIZE: used when no transformation must be performed, i.e, when we must ensure that deserializing and reserializing the result yield the exact same bytes. Streaming uses this.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FROM_REMOTE`
    `LOCAL`
    `PRESERVE_SIZE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerializationHelper.Flag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SerializationHelper.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOCAL

          public static final SerializationHelper.Flag LOCAL

    - #### FROM_REMOTE

          public static final SerializationHelper.Flag FROM_REMOTE

    - #### PRESERVE_SIZE

          public static final SerializationHelper.Flag PRESERVE_SIZE

  - ### Method Detail

    - #### values

          public static SerializationHelper.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerializationHelper.Flag c : SerializationHelper.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerializationHelper.Flag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation